org.apache.solr.update.processor

## Class IgnoreCommitOptimizeUpdateProcessorFactory

- java.lang.Object
- - org.apache.solr.update.processor.UpdateRequestProcessorFactory
  - - org.apache.solr.update.processor.IgnoreCommitOptimizeUpdateProcessorFactory

- All Implemented Interfaces:
    NamedListInitializedPlugin

      public class IgnoreCommitOptimizeUpdateProcessorFactory
      extends UpdateRequestProcessorFactory

  Gives system administrators a way to ignore explicit commit or optimize requests from clients. The factory can be configured to return a specific HTTP response code, default is 403, and optional response message, such as to warn the client application that its request was ignored.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.update.processor.UpdateRequestProcessorFactory

      `UpdateRequestProcessorFactory.RunAlways`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SolrException.ErrorCode` | `errorCode`
    `protected boolean` | `ignoreOptimizeOnly`
    `protected String` | `responseMsg`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgnoreCommitOptimizeUpdateProcessorFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UpdateRequestProcessor` | `getInstance(SolrQueryRequest req, SolrQueryResponse rsp, UpdateRequestProcessor next)`
    `void` | `init(NamedList args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### errorCode

          protected SolrException.ErrorCode errorCode

    - #### responseMsg

          protected String responseMsg

    - #### ignoreOptimizeOnly

          protected boolean ignoreOptimizeOnly

  - ### Constructor Detail

    - #### IgnoreCommitOptimizeUpdateProcessorFactory

          public IgnoreCommitOptimizeUpdateProcessorFactory()

  - ### Method Detail

    - #### init

          public void init(NamedList args)

      Specified by:
        `init` in interface `NamedListInitializedPlugin`
      Overrides:
        `init` in class `UpdateRequestProcessorFactory`

    - #### getInstance

          public UpdateRequestProcessor getInstance(SolrQueryRequest req,
                                                    SolrQueryResponse rsp,
                                                    UpdateRequestProcessor next)

      Specified by:
        `getInstance` in class `UpdateRequestProcessorFactory`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.